Registrar vista de página
curl --request POST \
--url https://api.roofkit.ai/api/v1/events/page-view \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"external_event_id": "<string>",
"session_id": "<string>",
"page_url": "<string>",
"referrer_url": "<string>",
"user_agent": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"landing_id": "<string>",
"landing_name": "<string>",
"landing_slug": "<string>",
"consent_granted": true
}
'import requests
url = "https://api.roofkit.ai/api/v1/events/page-view"
payload = {
"external_event_id": "<string>",
"session_id": "<string>",
"page_url": "<string>",
"referrer_url": "<string>",
"user_agent": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"landing_id": "<string>",
"landing_name": "<string>",
"landing_slug": "<string>",
"consent_granted": True
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
external_event_id: '<string>',
session_id: '<string>',
page_url: '<string>',
referrer_url: '<string>',
user_agent: '<string>',
occurred_at: '2023-11-07T05:31:56Z',
landing_id: '<string>',
landing_name: '<string>',
landing_slug: '<string>',
consent_granted: true
})
};
fetch('https://api.roofkit.ai/api/v1/events/page-view', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.roofkit.ai/api/v1/events/page-view",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'external_event_id' => '<string>',
'session_id' => '<string>',
'page_url' => '<string>',
'referrer_url' => '<string>',
'user_agent' => '<string>',
'occurred_at' => '2023-11-07T05:31:56Z',
'landing_id' => '<string>',
'landing_name' => '<string>',
'landing_slug' => '<string>',
'consent_granted' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.roofkit.ai/api/v1/events/page-view"
payload := strings.NewReader("{\n \"external_event_id\": \"<string>\",\n \"session_id\": \"<string>\",\n \"page_url\": \"<string>\",\n \"referrer_url\": \"<string>\",\n \"user_agent\": \"<string>\",\n \"occurred_at\": \"2023-11-07T05:31:56Z\",\n \"landing_id\": \"<string>\",\n \"landing_name\": \"<string>\",\n \"landing_slug\": \"<string>\",\n \"consent_granted\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.roofkit.ai/api/v1/events/page-view")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"external_event_id\": \"<string>\",\n \"session_id\": \"<string>\",\n \"page_url\": \"<string>\",\n \"referrer_url\": \"<string>\",\n \"user_agent\": \"<string>\",\n \"occurred_at\": \"2023-11-07T05:31:56Z\",\n \"landing_id\": \"<string>\",\n \"landing_name\": \"<string>\",\n \"landing_slug\": \"<string>\",\n \"consent_granted\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.roofkit.ai/api/v1/events/page-view")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"external_event_id\": \"<string>\",\n \"session_id\": \"<string>\",\n \"page_url\": \"<string>\",\n \"referrer_url\": \"<string>\",\n \"user_agent\": \"<string>\",\n \"occurred_at\": \"2023-11-07T05:31:56Z\",\n \"landing_id\": \"<string>\",\n \"landing_name\": \"<string>\",\n \"landing_slug\": \"<string>\",\n \"consent_granted\": true\n}"
response = http.request(request)
puts response.read_body{
"event": {
"id": "<string>"
},
"duplicate": true,
"created": true,
"recorded_analytics": true
}{
"event": {
"id": "<string>"
},
"duplicate": true,
"created": true,
"recorded_analytics": true
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "FORBIDDEN",
"message": "API key does not include the required scope: leads.write.",
"request_id": "req_123",
"details": {
"required_scope": "leads.write",
"missing_scopes": [
"leads.write"
]
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"request_id": "<string>",
"details": {}
}
}Atribución
Registrar vista de página
Registra una vista de página enviada por un socio cuando la política de consentimiento permite la medición.
POST
/
api
/
v1
/
events
/
page-view
Registrar vista de página
curl --request POST \
--url https://api.roofkit.ai/api/v1/events/page-view \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"external_event_id": "<string>",
"session_id": "<string>",
"page_url": "<string>",
"referrer_url": "<string>",
"user_agent": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"landing_id": "<string>",
"landing_name": "<string>",
"landing_slug": "<string>",
"consent_granted": true
}
'import requests
url = "https://api.roofkit.ai/api/v1/events/page-view"
payload = {
"external_event_id": "<string>",
"session_id": "<string>",
"page_url": "<string>",
"referrer_url": "<string>",
"user_agent": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"landing_id": "<string>",
"landing_name": "<string>",
"landing_slug": "<string>",
"consent_granted": True
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
external_event_id: '<string>',
session_id: '<string>',
page_url: '<string>',
referrer_url: '<string>',
user_agent: '<string>',
occurred_at: '2023-11-07T05:31:56Z',
landing_id: '<string>',
landing_name: '<string>',
landing_slug: '<string>',
consent_granted: true
})
};
fetch('https://api.roofkit.ai/api/v1/events/page-view', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.roofkit.ai/api/v1/events/page-view",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'external_event_id' => '<string>',
'session_id' => '<string>',
'page_url' => '<string>',
'referrer_url' => '<string>',
'user_agent' => '<string>',
'occurred_at' => '2023-11-07T05:31:56Z',
'landing_id' => '<string>',
'landing_name' => '<string>',
'landing_slug' => '<string>',
'consent_granted' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.roofkit.ai/api/v1/events/page-view"
payload := strings.NewReader("{\n \"external_event_id\": \"<string>\",\n \"session_id\": \"<string>\",\n \"page_url\": \"<string>\",\n \"referrer_url\": \"<string>\",\n \"user_agent\": \"<string>\",\n \"occurred_at\": \"2023-11-07T05:31:56Z\",\n \"landing_id\": \"<string>\",\n \"landing_name\": \"<string>\",\n \"landing_slug\": \"<string>\",\n \"consent_granted\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.roofkit.ai/api/v1/events/page-view")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"external_event_id\": \"<string>\",\n \"session_id\": \"<string>\",\n \"page_url\": \"<string>\",\n \"referrer_url\": \"<string>\",\n \"user_agent\": \"<string>\",\n \"occurred_at\": \"2023-11-07T05:31:56Z\",\n \"landing_id\": \"<string>\",\n \"landing_name\": \"<string>\",\n \"landing_slug\": \"<string>\",\n \"consent_granted\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.roofkit.ai/api/v1/events/page-view")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"external_event_id\": \"<string>\",\n \"session_id\": \"<string>\",\n \"page_url\": \"<string>\",\n \"referrer_url\": \"<string>\",\n \"user_agent\": \"<string>\",\n \"occurred_at\": \"2023-11-07T05:31:56Z\",\n \"landing_id\": \"<string>\",\n \"landing_name\": \"<string>\",\n \"landing_slug\": \"<string>\",\n \"consent_granted\": true\n}"
response = http.request(request)
puts response.read_body{
"event": {
"id": "<string>"
},
"duplicate": true,
"created": true,
"recorded_analytics": true
}{
"event": {
"id": "<string>"
},
"duplicate": true,
"created": true,
"recorded_analytics": true
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "FORBIDDEN",
"message": "API key does not include the required scope: leads.write.",
"request_id": "req_123",
"details": {
"required_scope": "leads.write",
"missing_scopes": [
"leads.write"
]
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"request_id": "<string>",
"details": {}
}
}Scopes requeridos:
analytics.manageAutorizaciones
Usa Authorization: Bearer rk_live_....
Encabezados
Un valor único para cada solicitud nueva, como un UUID. Envíe el mismo valor para reintentar una solicitud de forma segura. La misma clave y el mismo payload repiten la primera respuesta con Idempotency-Replayed: true.
Required string length:
1 - 160Cuerpo
application/json
Required string length:
1 - 200Required string length:
1 - 500Maximum string length:
512Fecha/hora ISO 8601 con Z o un desfase ±HH:MM. Se almacena en UTC.
Opciones disponibles:
mobile, desktop, tablet Maximum string length:
150Maximum string length:
200Maximum string length:
80Si se omite, se conserva el comportamiento implícito de medición existente. El modo required necesita un consentimiento otorgado explícitamente.
Opciones disponibles:
implicit, required El valor false suprime el registro de analíticas.